#include "mbed.h"

AnalogIn LineL(PA_0);       //アナログラインセンサ
AnalogIn LineR(PA_1);       //アナログラインセンサ
AnalogIn Volume(PA_4);      //ボリューム入力
DigitalIn SW_B(PB_3);       //スイッチ黒
DigitalOut led1(PB_7);      //LED_1
DigitalOut led2(PB_6);      //LED_2
DigitalOut led3(PB_5);      //LED_3
DigitalOut led4(PB_4);      //LED_4
DigitalOut L_Dir(PB_1);     //左モータ回転方向
DigitalOut R_Dir(PA_9);     //右モータ回転方向
DigitalOut MotorDA(PA_11);  //モーター出力EN
PwmOut PWM_L(PA_8);         //左モータPWM
PwmOut PWM_R(PA_10);        //右モータPWM


int main() {
    while(1) {
        led1 = 0;
        led2 = 0;
        led3 = 0;
        led4 = 0;
        wait(0.2); // 200 ms
        led1 = 1;
        led2 = 0;
        led3 = 0;
        led4 = 0;
        wait(0.2); // 200 ms
        led1 = 0;
        led2 = 1;
        led3 = 0;
        led4 = 0;
        wait(0.2);
        led1 = 0;
        led2 = 0;
        led3 = 1;
        led4 = 0;
        wait(0.2);
        led1 = 0;
        led2 = 0;
        led3 = 0;
        led4 = 1;
        wait(0.2);
    }
}
